# https://github.com/compose-spec/compose-go
%global goipath         github.com/compose-spec/compose-go

Version:        1.20.2

%gometa

%global common_description %{expand:
Go reference library for parsing and loading Compose files
as specified by the Compose specification.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        1%{?dist}
Summary:        Go reference library for parsing and loading Compose files

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/distribution/reference)
BuildRequires:  golang(github.com/docker/go-connections)
BuildRequires:  golang(github.com/docker/go-units)
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/imdario/mergo)
BuildRequires:  golang(github.com/mattn/go-shellwords)
BuildRequires:  golang(github.com/mitchellh/mapstructure)
BuildRequires:  golang(github.com/opencontainers/go-digest)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(github.com/stretchr/testify)
BuildRequires:  golang(github.com/xeipuuv/gojsonschema)
BuildRequires:  golang(golang.org/x/exp/slices)
BuildRequires:  golang(golang.org/x/sync/errgroup)
BuildRequires:  golang(gopkg.in/yaml.v3)
BuildRequires:  golang(gotest.tools/v3)

%description
%{common_description}

%godevelpkg

%prep
%goprep

%install
%godevelinstall

%gopkgfiles

%changelog
